#!/usr/bin/perl

@datasets=("bci2","s4","x11","ov","bci4s1","bci4s2","bci4s3","bci4s4","bci4s5","bci4s6","bci4s7","bci4s8","bci4s9");

%res = ();

foreach $dataset (@datasets) {
    foreach $p ("pgrm", "iir", "yuwa", "sgrm", "wvd", "mrlt") {
    foreach $hr ("hp","bp","raw") {
        $e="$s$hr";
        system("./classifier -q -m 1 -Y 10 pow/${dataset}${hr}trn_${p}.txt data/${dataset}${hr}trnclasses.txt pow/${dataset}${hr}tst_${p}.txt data/${dataset}${hr}tstclasses.txt /dev/null clres/${dataset}${hr}_mseres_cv_${p}.txt");
        system("./classifier -q -m 1 pow/${dataset}${hr}trn_${p}.txt data/${dataset}${hr}trnclasses.txt pow/${dataset}${hr}tst_${p}.txt data/${dataset}${hr}tstclasses.txt clres/${dataset}${hr}_mseres_trn_${p}.txt clres/${dataset}${hr}_mseres_tst_${p}.txt");
        open(RESFILE,"<clres/${dataset}${hr}_mseres_cv_${p}.txt");
        $cv = <RESFILE>;
        chomp $cv;
        close(RESFILE);
#         open(RESFILE,"<clres/${dataset}${hr}_mseres_trn_${p}.txt");
#         $trn = <RESFILE>;
#         chomp $trn;
#         close(RESFILE);
        open(RESFILE,"<clres/${dataset}${hr}_mseres_tst_${p}.txt");
        $tst = <RESFILE>;
        chomp $tst;
        close(RESFILE);
        $res{"cv${dataset}${hr}$p"} = $cv;
        $res{"tst${dataset}${hr}$p"} = $tst;
    }
    }
}

print "subjet method";
foreach $p ("pgrm", "iir", "yuwa", "sgrm", "wvd", "mrlt") {
    foreach $hr ("hp","bp","raw") {
        print " ${p}_$hr";
    }
}
print "\n";

foreach $dataset (@datasets) {
    print "${dataset} CV";
    foreach $p ("pgrm", "iir", "yuwa", "sgrm", "wvd", "mrlt") {
        foreach $hr ("hp","bp","raw") {
            printf(" %.1f",$res{"cv${dataset}${hr}$p"});
        }
    }
    print "\n";
}

print "subjet method";
foreach $p ("pgrm", "iir", "yuwa", "sgrm", "wvd", "mrlt") {
    foreach $hr ("hp","bp","raw") {
        print " ${p}_$hr";
    }
}
print "\n";

foreach $dataset (@datasets) {
    print "${dataset} Test";
    foreach $p ("pgrm", "iir", "yuwa", "sgrm", "wvd", "mrlt") {
        foreach $hr ("hp","bp","raw") {
            printf(" %.1f",$res{"tst${dataset}${hr}$p"});
        }
    }
    print "\n";
}
