#!/usr/bin/perl

($#ARGV==1) || die "Need two arguments: dataset sampling_frequency\n";

$dataset = $ARGV[0];
$freq = $ARGV[1];
$classifier="/home/nicolas/experiments/classifier";

mkdir "cvtmp";

foreach $horder (4,6,8,10) {
    system("octave --eval \"powscript({'$dataset'},[$freq],{'iir'},[$horder]);\"");
    system("$classifier pow/${dataset}trn_iir.txt data/${dataset}trnclasses.txt pow/${dataset}trn_iir.txt data/${dataset}trnclasses.txt /dev/null cvtmp/${dataset}_iir_cv.txt -Y10 -m1");
    open(RESFILE,"<cvtmp/${dataset}_iir_cv.txt");
    $cv = <RESFILE>;
    chomp $cv;
    close(RESFILE);
    if ($cv > $maxcv) {
        $maxcv = $cv;
        $hcv = $horder;
    }
}

print "\n=========================================\nCross-validation selected an order of $hcv for the IIR Butterworth filter, for a cross-validation performance of: $maxcv\nNow generating final pow features\n=========================================\n\n";
system("octave --eval \"powscript({'$dataset'},[$freq],{'iir'},[$hcv]);\"");

mkdir "cvres";
open(CVFILE,">cvres/${dataset}_iir_cv.txt");
print CVFILE "$hcv $maxcv\n";
close(CVFILE);
