#!/usr/bin/perl

($#ARGV==1) || die "Need two arguments: dataset sampling_frequency\n";

$dataset = $ARGV[0];
$freq = $ARGV[1];
$classifier="/home/nicolas/experiments/classifier";

mkdir "cvtmp";

foreach $wf (0..30) {
    $wfact = exp(log(0.25) + $wf * (log(2) - log(0.25)) / 30);
    system("octave --eval \"powscript({'$dataset'},[$freq],{'mrlt'},[$wfact]);\"");
    system("$classifier pow/${dataset}trn_mrlt.txt data/${dataset}trnclasses.txt pow/${dataset}trn_mrlt.txt data/${dataset}trnclasses.txt /dev/null cvtmp/${dataset}_mrlt_cv.txt -Y10 -m1");
    open(RESFILE,"<cvtmp/${dataset}_mrlt_cv.txt");
    $cv = <RESFILE>;
    chomp $cv;
    close(RESFILE);
    if ($cv > $maxcv) {
        $maxcv = $cv;
        $wfactcv = $wfact;
    }
}

print "\n=========================================\nCross-validation selected $wfactcv scaling coefficient for a cross-validation performance of: $maxcv\nNow generating final pow features\n=========================================\n\n";
system("octave --eval \"powscript({'$dataset'},[$freq],{'mrlt'},[$wfactcv]);\"");

mkdir "cvres";
open(CVFILE,">cvres/${dataset}_mrlt_cv.txt");
print CVFILE "$wfactcv $maxcv\n";
close(CVFILE);
