#!/usr/bin/perl

($#ARGV==1) || die "Need two arguments: dataset sampling_frequency\n";

$dataset = $ARGV[0];
$freq = $ARGV[1];
$classifier="/home/nicolas/experiments/classifier";

mkdir "cvtmp";

foreach $nar (4..30) {
    system("octave --eval \"powscript({'$dataset'},[$freq],{'yuwa'},[$nar]);\"");
    system("$classifier pow/${dataset}trn_yuwa.txt data/${dataset}trnclasses.txt pow/${dataset}trn_yuwa.txt data/${dataset}trnclasses.txt /dev/null cvtmp/${dataset}_yuwa_cv.txt -Y10 -m1");
    open(RESFILE,"<cvtmp/${dataset}_yuwa_cv.txt");
    $cv = <RESFILE>;
    chomp $cv;
    close(RESFILE);
    if ($cv > $maxcv) {
        $maxcv = $cv;
        $narcv = $nar;
    }
}

print "\n=========================================\nCross-validation selected $narcv AR coefficients for a cross-validation performance of: $maxcv\nNow generating final pow features\n=========================================\n\n";
system("octave --eval \"powscript({'$dataset'},[$freq],{'yuwa'},[$narcv]);\"");

mkdir "cvres";
open(CVFILE,">cvres/${dataset}_yuwa_cv.txt");
print CVFILE "$narcv $maxcv\n";
close(CVFILE);
