#!/bin/sh
dataset=$1
freq=$2

dir=`dirname $0`
cd $dir

# power-band methods that do not require a cross-validation
#octave --eval "powscript({'${dataset}hp'},[$freq],{'pgrm'});"
octave --eval "powscript({'${dataset}raw'},[$freq],{'pgrm'});"
#octave --eval "powscript({'${dataset}hp'},[$freq],{'sgrm'});"
octave --eval "powscript({'${dataset}raw'},[$freq],{'sgrm'});"
#octave --eval "powscript({'${dataset}hp'},[$freq],{'wvd'});"
octave --eval "powscript({'${dataset}raw'},[$freq],{'wvd'});"

# cross-validation scripts
#$dir/crossvalid_yuwa.pl ${dataset}hp
$dir/crossvalid_yuwa.pl ${dataset}raw $freq
#$dir/crossvalid_iir.pl ${dataset}hp
$dir/crossvalid_iir.pl ${dataset}raw $freq
#$dir/crossvalid_mrlt.pl ${dataset}hp
$dir/crossvalid_mrlt.pl ${dataset}raw $freq
